Market Messages Schema Reference
Request Parameters
| Field | Location | Required | Type | Format / Constraints |
|---|---|---|---|---|
X-API-KEY | Header | Yes | string | Not specified in schema |
supplier_mpid | Path | Yes | string | Supplier MPID |
message_type_name | Query | No | string | Exact message type name (for example IF-019, CSS1700) |
market_type | Query | No | string(enum) | dip, dtn, css |
received_start | Query | No | string(datetime) | ISO 8601 datetime |
received_end | Query | No | string(datetime) | ISO 8601 datetime |
Response Schema
Each response item contains:
| Field | Required | Type | Format / Constraints |
|---|---|---|---|
id | Yes | string | UUID |
message_type_fk | No | string or null | UUID |
inbound_outbound | Yes | string(enum) | inbound, outbound |
status | Yes | string(enum) | queued, success, failed, pending |
supplier_process_fk | No | string or null | UUID |
message_type | Yes | object | See message_type schema below |
css_message_data | No | array or null | See CssMarketSystemMessage |
dip_message_data | No | array or null | See DipMarketSystemMessage |
dtn_message_data | No | array or null | See DtnMarketSystemMessage |
message_type
| Field | Required | Type | Format / Constraints |
|---|---|---|---|
id | Yes | string | UUID |
name | Yes | string | Message type name |
type | Yes | string(enum) | css, dip, dtn |
description | No | string or null | Optional |
CssMarketSystemMessage item
| Field | Required | Type | Format / Constraints |
|---|---|---|---|
id | Yes | string | UUID |
active_registration_id | No | string or null | Not specified |
annulment_window_end_date | No | string(datetime) or null | ISO 8601 datetime |
change_of_occupancy_indicator | No | boolean or null | N/A |
context_type | No | string or null | Not specified |
correlation_id | No | string or null | Not specified |
domestic_premises_indicator | No | boolean or null | N/A |
erroneous_switch_indicator | No | boolean or null | N/A |
errors | No | string or null | Not specified |
event_date | No | string(datetime) or null | ISO 8601 datetime |
event_description | No | string or null | Not specified |
event_id | No | string or null | Not specified |
event_status | No | string or null | Not specified |
event_type | No | string or null | Not specified |
fuel_type | No | string(enum) or null | E, G |
gaining_supplier_mpid | No | string or null | Not specified |
gaining_supplier_role | No | string or null | Not specified |
intervention_type | No | string or null | Not specified |
intervention_window_start_date | No | string(datetime) or null | ISO 8601 datetime |
json_payload | No | object, string, or null | Raw payload |
mpan | No | integer or null | MPAN core |
objection_window_end_date | No | string(datetime) or null | ISO 8601 datetime |
ofaf_reference | No | string or null | Not specified |
parent_message_fk | No | string or null | UUID |
pending_registration_id | No | string or null | Not specified |
registration_active_date | No | string(datetime) or null | ISO 8601 datetime |
registration_cancellation_reason | No | string or null | Not specified |
registration_id | No | string or null | Not specified |
registration_inactive_date | No | string(datetime) or null | ISO 8601 datetime |
registration_initiator | No | string or null | Not specified |
registration_request_id | No | string or null | Not specified |
registration_request_status | No | string or null | Not specified |
registration_status_efd | No | string(datetime) or null | ISO 8601 datetime |
registration_status | No | string or null | Not specified |
supplier_mpid | No | string or null | Not specified |
supplier_reference | No | string or null | Not specified |
supplier_role | No | string or null | Not specified |
supply_start_date | No | string(datetime) or null | ISO 8601 datetime |
updated_properties | No | string or null | Not specified |
version | No | string or null | Not specified |
DipMarketSystemMessage item
| Field | Required | Type | Format / Constraints |
|---|---|---|---|
id | Yes | string | UUID |
system_message_fk | No | string or null | UUID |
push_request_id | No | string or null | Not specified |
pull_request_id | No | string or null | Not specified |
dip_adaptor_response | No | string or null | Not specified |
interface_id | No | string or null | Not specified |
schema_version | No | string or null | Not specified |
event_code | No | string or null | Not specified |
environment_tag | No | string or null | Not specified |
sub_text | No | string or null | Not specified |
sender_unique_reference | No | string or null | Not specified |
sender_timestamp | No | string(datetime) or string or null | ISO 8601 datetime when datetime |
sender_dip_id | No | string or null | Not specified |
sender_role_id | No | string or null | Not specified |
sender_correlation_id | No | string or null | Not specified |
dip_connection_provider_id | No | string or null | Not specified |
transaction_id | No | string or null | Not specified |
transaction_timestamp | No | string or null | Not specified |
publication_id | No | string or null | Not specified |
initial_correlation_id | No | string or null | Not specified |
replay_indicator | No | boolean or null | N/A |
service_ticket_url | No | string or null | Not specified |
primary_recipients | No | string, integer, or null | Not specified |
secondary_recipients | No | string, integer, or null | Not specified |
always | No | string, integer, or null | Not specified |
mpan_core | No | integer or null | MPAN core |
distributor_dip_id | No | string or null | Not specified |
gsp_group_id | No | string or null | Not specified |
response_code | No | string or null | Not specified |
response_message | No | string or null | Not specified |
third_party_response_message | No | string or null | Not specified |
json_payload | No | object, string, or null | Raw payload |
custom_blocks | No | object, string, or null | Not specified |
decoded_message | No | object, array, or null | Parsed message |
DtnMarketSystemMessage item
| Field | Required | Type | Format / Constraints |
|---|---|---|---|
id | Yes | string | UUID |
file_header_group_id | No | string or null | Not specified |
file_type | No | string or null | Not specified |
file_id | No | string or null | Not specified |
dataflow_type_and_version | No | string or null | Not specified |
source_market_participant_role | No | string or null | Not specified |
source_market_participant_id | No | string or null | Not specified |
source_market_participant_prefix | No | string or null | Not specified |
destination_market_participant_role | No | string or null | Not specified |
destination_market_participant_id | No | string or null | Not specified |
destination_market_participant_prefix | No | string or null | Not specified |
file_creation_timestamp | No | string(datetime), string, or null | Timestamp |
source_application | No | string or null | Not specified |
destination_application | No | string or null | Not specified |
broadcast | No | string or null | Not specified |
test_data_flag | No | string or null | Not specified |
css_api_version | No | string or null | Not specified |
method | No | string or null | Not specified |
raw_message | No | string or null | Raw DTN message |